# org.apache.ignite.cache

## Interfaces

- CacheInterceptor
- CacheMetrics
- GridCache

## Classes

- CacheInterceptorAdapter
- CacheManager
- CacheTypeFieldMetadata
- CacheTypeMetadata
- CachingProvider

## Enums

- CacheAtomicityMode
- CacheAtomicWriteOrderMode
- CacheDistributionMode
- CacheMemoryMode
- CacheMode
- CachePeekMode
- CachePreloadMode
- CacheWriteSynchronizationMode

## Exceptions

- CacheAtomicUpdateTimeoutException
- CachePartialUpdateException